{% extends 'admin/admin-index.twig' %}

{% block admincontent %}
    <h2>Реккомендации</h2>
    <p>Левый блок</p>
    <hr>
    <a href="admin/recommended/add" class="btn btn-primary" role="button">Добавить запись</a>
    <hr>
    <table class="table">
        <thead>
        <tr>
            <th>id</th>
            <th>Заголовок</th>
            <th>Ссылка на изображение</th>
            <th>Ссылка на источник</th>
            <th>Размещение</th>
            <th>Действия</th>
        </tr>
        </thead>
        {% for recommended in recommended %}
            <tr>
                <td>
                    {{ recommended.id }}
                </td>
                <td>
                    {{ recommended.title }}
                </td>
                <td>
                    {{ recommended.image }}
                </td>
                <td>
                    {{ recommended.link }}
                </td>
                <td>
                    {% if recommended.position == 1 %}Левый блок{% endif %}
                    {% if recommended.position == 2 %}Страница материала{% endif %}
                </td>
                <td>
                    <a type="button" href="{{ project_root }}/admin/recommended/edit/{{ recommended.id }}" class="btn btn-success">Изменить</a>
                    <a type="button" href="{{ project_root }}/admin/recommended/delete/{{ recommended.id }}" class="btn btn-danger">Удалить</a>
                </td>
            </tr>
        {% endfor %}
    </table>
    <hr>
{% endblock %}